
package de.codedo.conflicteditor.gui;

import javax.swing.JTextField;
import javax.swing.border.Border;
import javax.swing.plaf.metal.MetalComboBoxEditor;

public class TextFieldComboBoxEditor extends MetalComboBoxEditor
{
    public TextFieldComboBoxEditor()
    {
        super();
        initEditorComponent();
    }

    private void initEditorComponent()
    {
        // save the border of the original editor component. Since it's a protected inner instance
        // class we cannot create a new one here :-(
        Border border = editor.getBorder();

        editor = new JTextField(40);
        editor.setBorder(border);
    }
}
